Subject: Re: bug#36896: [PATCH] added gsettings-desktop-schema to progragated inputs

From: Martin Becze <[email-masked]>
Date: Fri, 6 Sep 2019 11:59:54 +0200

On 9/4/19 2:17 PM, Tobias Geerinckx-Rice wrote:
> Martin,
>
> Martin Becze 写道：
>> hmm maybe i did something wrong when sending with "git-sendemail" it
>> showed up here https://issues.guix.info/issue/36896
>
> Strange…  It can't find it in my mailbox either.
>
> Is there a commit message?
>
>> `("GSETTINGS_SCHEMA_DIR" = (,(string-append out
>>  "/share/glib-2.0/schemas/")))
>
> Please wrap long lines like these at 80 characters.  I'd do so after ‘=’.
>
>> +                `("XDG_DATA_DIRS" = (,(getenv "XDG_DATA_DIRS")))))
>
> I think this is something we want to append (":" suffix), not override
> outright (=), no?
>
> Grepping through Guix, I see that ‘prefix’ is popular too, but I'm not
> sure why.  Does that still grant users the same control over the
> result?  (This question for extra credit only :-)
>
> Thanks, and sorry for the wait,
>
> T G-R

Prefix appends ${MY_VAR:+:}$MY_VAR to the env var, so that seems nice.